Bug 1711722 (CVE-2019-10141) - CVE-2019-10141 openstack-ironic-inspector: SQL Injection vulnerability when receiving introspection data
Summary: CVE-2019-10141 openstack-ironic-inspector: SQL Injection vulnerability when r...
Status: CLOSED ERRATA
Alias: CVE-2019-10141
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20190515:0350...
Keywords: Security
Depends On: 1710402 1712181 1712185 1712186 1712182 1712183 1712184
Blocks: 1711459
TreeView+ depends on / blocked
 
Reported: 2019-05-19 23:24 UTC by Summer Long
Modified: 2019-07-13 08:48 UTC (History)
14 users (show)

(edit)
A SQL-injection vulnerability was found in openstack-ironic-inspector's node_cache.find_node(). This function makes a SQL query using unfiltered data from a server reporting inspection results (by a POST to the /v1/continue endpoint). Because the API is unauthenticated, the flaw could be exploited by an attacker with access to the network on which ironic-inspector is listening. Because of how ironic-inspector uses the query results,  it is unlikely that data could be obtained. However, the attacker could pass malicious data and create a denial of service.
Clone Of:
(edit)
Last Closed: 2019-07-12 13:07:11 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1669 None None None 2019-07-02 19:45 UTC
Red Hat Product Errata RHSA-2019:1722 None None None 2019-07-10 09:18 UTC
Red Hat Product Errata RHSA-2019:1734 None None None 2019-07-10 13:02 UTC

Description Summer Long 2019-05-19 23:24:47 UTC
There is an SQL-injection vulnerability in the inpector's node_cache.find_node(). This function makes an SQL query using unescaped data received on the wire from a server reporting inspection results (specifically, via a POST to the /v1/continue endpoint).

The unescaped data should not be trusted - the API is unauthenticated and it's likely that anything with access to the network on which ironic-inspector is listening could exploit the vulnerability.

Because of how the results of the query are used, there appears to be no way to exploit this vulnerability to exfiltrate data. It could be exploited for destructive ends by passing malicious data (e.g. "\'; DROP DATABASE;\'").

Every release from RHOS 8 on is affected.

Comment 1 Summer Long 2019-05-19 23:31:17 UTC
Acknowledgments:

Name: Zane Bitter (Red Hat)

Comment 7 Summer Long 2019-05-21 00:31:57 UTC
Created openstack-ironic-inspector tracking bugs for this issue:

Affects: openstack-rdo [bug 1712186]

Comment 8 Summer Long 2019-05-21 00:49:44 UTC
Upstream patch: https://review.opendev.org/660234

Comment 13 errata-xmlrpc 2019-07-02 19:45:18 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 14.0 (Rocky)

Via RHSA-2019:1669 https://access.redhat.com/errata/RHSA-2019:1669

Comment 15 errata-xmlrpc 2019-07-10 09:18:12 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)

Via RHSA-2019:1722 https://access.redhat.com/errata/RHSA-2019:1722

Comment 16 errata-xmlrpc 2019-07-10 13:02:24 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 13.0 (Queens)

Via RHSA-2019:1734 https://access.redhat.com/errata/RHSA-2019:1734

Comment 17 Product Security DevOps Team 2019-07-12 13:07:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-10141


Note You need to log in before you can comment on or make changes to this bug.